Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge.svg12
Class SVG12ScriptingEnvironment.Global

    java.lang.Object
      org.apache.batik.bridge.ScriptingEnvironment.Window
          org.apache.batik.bridge.svg12.SVG12ScriptingEnvironment.Global

All Implemented Interfaces:
  Global, SVGGlobal, Window

Enclosing class:
  SVG12ScriptingEnvironment

    protected class SVG12ScriptingEnvironment.Global

extends ScriptingEnvironment.Window
implements SVGGlobal

The SVGGlobal object.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.batik.script.Window
`Window.URLResponseHandler`

Field Summary

Fields inherited from class org.apache.batik.bridge.ScriptingEnvironment.Window
`interpreter, language`

Constructor Summary
`SVG12ScriptingEnvironment.Global(Interpreter interp, String lang)` Creates a new Global object.

Method Summary
`void` | `startMouseCapture(EventTarget target, boolean sendAll, boolean autoRelease)` Implements `SVGGlobal.startMouseCapture(EventTarget,boolean,boolean)`.
`void` | `stopMouseCapture()` Stops mouse capture.

Methods inherited from class org.apache.batik.bridge.ScriptingEnvironment.Window
`alert, clearInterval, clearTimeout, confirm, getBridgeContext, getInterpreter, getURL, getURL, parseXML, postURL, postURL, postURL, prompt, prompt, setInterval, setInterval, setTimeout, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVG12ScriptingEnvironment.Global

    public SVG12ScriptingEnvironment.Global(Interpreter interp,
                                            String lang)

  Creates a new Global object.

Method Detail

### startMouseCapture

    public void startMouseCapture(EventTarget target,
                                  boolean sendAll,
                                  boolean autoRelease)

  Implements `SVGGlobal.startMouseCapture(EventTarget,boolean,boolean)`.

  Specified by:
    `startMouseCapture` in interface `SVGGlobal`

### stopMouseCapture

    public void stopMouseCapture()

  Stops mouse capture.

  Specified by:
    `stopMouseCapture` in interface `SVGGlobal`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.